KUBERNETES(1)

NAME

kubeadm init phase upload-certs - Upload certificates to kubeadm-certs

SYNOPSIS

kubeadm init phase upload-certs [OPTIONS]

DESCRIPTION

This command is not meant to be run on its own. See list of available subcommands.

OPTIONS

--certificate-key=""
    Key used to encrypt the control-plane certificates in the kubeadm-certs Secret.

--config=""
    Path to a kubeadm configuration file.

--experimental-upload-certs=false
    Upload control-plane certificates to the kubeadm-certs Secret.

--skip-certificate-key-print=false
    Don't print the key used to encrypt the control-plane certificates.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-init-phase(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!